Rootpipe

Rootpipe

https://en.wikipedia.org/wiki/Rootpipe
From Wikipedia, the free encyclopedia

Rootpipe is a security vulnerability found in some versions of OS X that allows privilege escalation whereby a user with administrative rights, or a program executed by an administrative user, can obtain superuser (root) access. This is considered problematic as the first user account created under OS X is furnished with administrator rights by default.[1] By leveraging other security vulnerabilities on a system, such as an unpatched web browser, rootpipe could be used by an attacker to help gain complete control of the operating system.[1]

Emil Kvarnhammar of TrueSec, a security firm credited with the discovery, says that he found the vulnerability after several days of binary analysis. He recommends creating an account without administrative privileges to be used for normal everyday work, and using FileVault.[1]

An older exploit for the same issue was later published on exploit-db[2] suggesting the issue dates back to June 2010.

The vulnerability was reported to Apple Inc. in October 2014,[3] and has been reported as present in OS X versions 10.7.5, 10.8.2, 10.9.5 and 10.10.2.[4] OS X 10.10.3 was officially designated as patched by Apple, but Kvarnhammar (crediting Patrick Wardle) has blogged that the vulnerability is still present in that version.[5][6] On 1 July 2015, Kvarnhammer noted that additional restrictions had been introduced in OS X 10.10.4, adding in a comment two days later that he believed the then-current versions of OS X 10.9 (with Security Update 2015-005) and 10.10 to be safe from the exploit.[7]

References

  1. ^ a b c Nadine Juliana Dressler. "Achtung vor Rootpipe: Super-User-Rechte ohne Passwort am Mac". 
  2. ^ "Apple Mac OSX < 10.9/10 - Privilege Escalation". exploit-db. 13 April 2015. 
  3. ^ "Swedish hacker finds 'serious' vulnerability in OS X Yosemite". Macworld. 31 October 2014. 
  4. ^ Fabian Scherschel (fab@ct.de) (2015-04-18). "Root-Lücke in OS X". c't. Heise. 2015 (10): 49. 
  5. ^ "OS X 10.10.3 still vulnerable". 
  6. ^ Krystle Vermes (21 April 2015). "Rootpipe continues: Former NSA staffer finds Mac vulnerability - Digital Trends". Digital Trends. 
  7. ^ "Exploiting rootpipe again". 


Related Blogs

  • Did not find any related blogs!
Loading ...